Bug 832280 - [abrt] python-2.7.3-6.fc17: cd_device_connect: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: cd_device_connect: Process /usr/bin/python2.7 was...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:659f652f9c22184302b81c4c287...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 00:09 EDT by Dariusz Garbowski
Modified: 2012-06-24 19:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-24 19:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.67 KB, text/plain)
2012-06-15 00:09 EDT, Dariusz Garbowski
no flags Details
File: backtrace (57.13 KB, text/plain)
2012-06-15 00:09 EDT, Dariusz Garbowski
no flags Details
File: maps (65.18 KB, text/plain)
2012-06-15 00:09 EDT, Dariusz Garbowski
no flags Details
File: dso_list (13.17 KB, text/plain)
2012-06-15 00:09 EDT, Dariusz Garbowski
no flags Details
File: build_ids (5.41 KB, text/plain)
2012-06-15 00:09 EDT, Dariusz Garbowski
no flags Details

  None (edit)
Description Dariusz Garbowski 2012-06-15 00:09:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python2.7 /usr/bin/dispcalGUI
crash_function: cd_device_connect
executable:     /usr/bin/python2.7
kernel:         3.4.0-1.fc17.x86_64
pid:            12564
pwd:            /opt/AfterShotPro/bin
time:           Tue 12 Jun 2012 07:52:40 AM MDT
uid:            1001
username:       thufor

backtrace:      Text file, 58498 bytes
build_ids:      Text file, 5535 bytes
core_backtrace: Text file, 4782 bytes
dso_list:       Text file, 13489 bytes
maps:           Text file, 66747 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thufor/2

comment:
:Running dispcalGUI dispcalGUI-0.9.9.1-2.1.x86_64 as a non-root user from konsole in KDE 4.8.3.
:Not a problem when running as root.

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1256
:KDE_MULTIHEAD=false
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:M2=/home/***/local/32bit/maven/bin
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/***/.gtkrc-2.0:/home/***/.gtkrc-2.0-kde4:/home/***/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.65
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/***/.gtkrc:/home/***/.kde/share/config/gtkrc
:GS_LIB=
:WINDOWID=65011732
:GNOME_KEYRING_CONTROL=/run/user/***/keyring-ta6gR6
:SHELL_SESSION_ID=7987a79687854000ab9f32b1a36a0fb1
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=***
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-dweCSoup1129/agent.1129
:PHOTONER_PHOTO_BACKUP_DIR=/1/BCK/photoner_backup
:USERNAME=***
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1363,unix/unix:/tmp/.ICE-unix/1363
:'MAVEN_OPTS=-Xms256m -Xmx512m'
:PHOTONER_PHOTO_DIR=/1/photoner
:DESKTOP_SESSION=kde-plasma
:PATH=/home/***/local/32bit/maven/bin:/home/***/local/64bit/j2sdk1.6.0/jre/bin:/home/***/local/32bit/maven/bin:/home/***/local/64bit/j2sdk1.6.0/jre/bin:/home/***/local/64bit/j2sdk1.6.0/jre/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/***/scripts/:/home/***/local/32bit/bin/:/home/***/bin:/home/***/scripts/:/home/***/local/32bit/bin/
:MAIL=/var/spool/mail/***
:QT_IM_MODULE=xim
:LOCAL_32=/home/***/local/32bit
:PWD=/opt/AfterShotPro/bin
:XMODIFIERS=@im=none
:JAVA_HOME=/home/***/local/64bit/j2sdk1.6.0/jre
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1121
:KDE_SESSION_UID=1001
:KDEDIRS=/usr
:PHOTONER_PHOTO_CLONE_DIR=/1/clone-photoner
:KONSOLE_DBUS_SESSION=/Sessions/2
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:JDK_HOME=/home/***/local/64bit/j2sdk1.6.0
:M2_HOME=/home/***/local/32bit/maven
:COLORFGBG=15;0
:SHLVL=3
:XDG_SEAT=seat0
:HOME=/home/***
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=***
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4yJVI0cBOW,guid=fb904385ef686bcfaeee309800000013
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/***
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/***/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-contufor/xauth-1001-_0
:_=/usr/bin/dispcalGUI

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 254827               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       254827               254827               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:1:/dev/pts/1
:2:/dev/pts/1
:3:anon_inode:[eventfd]
:4:socket:[900571]
:5:/home/thufor/.local/share/dispcalGUI/logs/dispcalGUI.log
:6:socket:[877716]
:7:anon_inode:[eventfd]
:8:socket:[900576]
:9:anon_inode:inotify
:10:anon_inode:[eventfd]

smolt_data:
:
:
:General
:=================================
:UUID: 309aefa2-762c-4f4c-b37a-e9059a44b5e3
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 7000.26
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
:CPU Stepping: 9
:CPU Family: 6
:CPU Model Num: 58
:Number of CPUs: 8
:CPU Speed: 3501
:System Memory: 31874
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4332:33128:4163:34053) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(32902:354:4163:33994) pci, i915, VIDEO, N/A
:(32902:7729:4163:33994) pci, xhci_hcd, USB, Panther Point USB xHCI Host Controller
:(32902:7696:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 1
:(32902:7748:4163:33994) pci, None, PCI/ISA, Panther Point LPC Controller
:(32902:7708:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 7
:(32902:7710:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 8
:(32902:7704:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 5
:(32902:7712:4163:33819) pci, snd_hda_intel, MULTIMEDIA, Panther Point High Definition Audio Controller
:(6987:37152:4163:33722) pci, ahci, STORAGE, N/A
:(32902:7714:4163:33994) pci, None, SERIAL, Panther Point SMBus Controller
:(32902:7682:4163:33994) pci, ahci, STORAGE, Panther Point 6 port SATA AHCI Controller
:(32902:7725:4163:33994) pci, ehci_hcd, USB, Panther Point USB Enhanced Host Controller #2
:(32902:7718:4163:33994) pci, ehci_hcd, USB, Panther Point USB Enhanced Host Controller #1
:(32902:336:4163:33994) pci, agpgart-intel, HOST/PCI, Ivy Bridge DRAM Controller
:(32902:7738:4163:33994) pci, None, SIMPLE, Panther Point MEI Controller #1
:(32902:9294:4163:33994) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:337:4163:33994) pci, pcieport, PCI/PCI, Ivy Bridge PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 29083290 10948546 9492265 7282688 6685533 6685533
:/dev/sdb1 WITHHELD ext4 4096 4096 487910570 123996011 119112228 122101760 121516949 121516949
:/dev/sda2 /boot ext4 1024 1024 508745 432828 407228 128016 127988 127988
:/dev/sda1 WITHHELD vfat 4096 4096 51145 51080 51080 0 0 0
:

var_log_messages:
:Jun 12 00:41:25 localhost abrt[2471]: Saved core dump of pid 2442 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-12-00:41:25-2442 (62103552 bytes)
:Jun 12 00:41:54 localhost abrt[2550]: Saved core dump of pid 2522 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-12-00:41:54-2522 (62087168 bytes)
:Jun 12 07:52:40 localhost abrt[12593]: Saved core dump of pid 12564 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-12-07:52:40-12564 (62095360 bytes)
Comment 1 Dariusz Garbowski 2012-06-15 00:09:40 EDT
Created attachment 592007 [details]
File: core_backtrace
Comment 2 Dariusz Garbowski 2012-06-15 00:09:44 EDT
Created attachment 592008 [details]
File: backtrace
Comment 3 Dariusz Garbowski 2012-06-15 00:09:46 EDT
Created attachment 592010 [details]
File: maps
Comment 4 Dariusz Garbowski 2012-06-15 00:09:48 EDT
Created attachment 592011 [details]
File: dso_list
Comment 5 Dariusz Garbowski 2012-06-15 00:09:50 EDT
Created attachment 592012 [details]
File: build_ids
Comment 6 Dariusz Garbowski 2012-06-24 19:54:54 EDT
I can no longer reproduce this issue. Either an update to colord, pyton or something else has fixed it for me. I can start dispcalGUI 0.9.9.1 as well as new version 1.0.7.6.

Therefore I am closing this bug report with WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.